Bug 193634 - "The server name may only contain alphanumeric characters" error is incorrect
"The server name may only contain alphanumeric characters" error is incorrect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 03:55 EDT by Greg Martyn
Modified: 2015-03-04 20:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 11:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Martyn 2006-05-31 03:55:36 EDT
Description of problem:
A "The server name may only contain alphanumeric characters" error message given
by system-config-httpd is incorrect

The documentation gives an example: "For example, you might want to set the
server name to www.example.com", which also suffers from this bug.

Version-Release number of selected component (if applicable):
Name   : system-config-httpd
Arch   : noarch
Epoch  : 5
Version: 1.3.3
Release: 1.1


How reproducible:
Always


Steps to Reproduce:

# system-config-httpd

type in Server Name: home.gregmartyn.com

Click Ok
"Are you sure you want to save and exit?" -> Yes
Then I get a warning dialog saying "The server name may only contain
alphanumeric characters". The only option is to hit Ok.  

Actual results:
Error message

Expected results:
No error message

Thanks for any help.
Comment 1 Phil Knirsch 2006-10-19 11:23:40 EDT
Will be fixed in next major version.

Read ya, Phil
Comment 2 Phil Knirsch 2006-10-25 11:34:21 EDT
OK, s-c-h-1.4.0-1 and later will contain the fix. i'll at least put out a update
version for FC6, not sure about FC5.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.